{% extends '../base.html'%}
{% block main %}
{% load static %}

<div class="main-container repair-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="container">
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-1">Réparation express</p>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-4">Sur notre site, vous pouvez également réparer votre propre drone</p>
        <p>Sections : <a href="#presentation">Présentation</a> |  <a href="#demarche">La démarche</a> | <a href="#notes">Notes</a> | <a href="#reviews">Avis de nos clients</a></p>
        <p class="text-center fs-4">Voici tout ce dont vous avez besoin</p>
        <section id="presentation">
          <h5 class="fw-bold fs-4 border-bottom pb-1">Présentation :</h5>
          <div class="img rounded py-3">
            <div id="carouselExampleControls" class="carousel slide rounded" data-bs-ride="carousel">
              <div class="carousel-inner rounded">
                <div class="carousel-item active">
                  <img src="{% static 'images/repair_pres_1.png' %}" class="d-block w-100 h-100 rounded me-2 repair-presentation-slider-img" alt="repair_pres_1" />
                </div>
                <div class="carousel-item">
                  <img src="{% static 'images/repair_pres_2.png' %}" class="d-block w-100 h-100 rounded me-2 repair-presentation-slider-img" alt="repair_pres_2" />
                </div>
                <div class="carousel-item">
                  <img src="{% static 'images/repair_pres_3.jpeg' %}" class="d-block w-100 h-100 rounded me-2 repair-presentation-slider-img" alt="repair_pres_3" />
                </div>
              </div>
              <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="prev" >
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
              </button>
              <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="next" >
                <span class="carousel-control-next-icon" aria-hidden="true" ></span>
                <span class="visually-hidden">Next</span>
              </button>
            </div>
          </div>
        </section>
        <section id="demarche">
          <h5 class="fw-bold fs-4 border-bottom pb-1">La démarche :</h5>
          <p>En quelques étapes, vous pouvez réparer votre drone !</p>
          <ol class="py-3">
            <li>Effectuez une nouvelle demande en précisant les dégâts subis.</li><br>
            <li>Attendez une validation de notre part concernant votre demande.</li><br>
            <li>Si nous acceptons votre demande, vous pouvez envoyer votre drone en nous indiquant son numéro de suivi.</li><br>
            <li>Nous recevrons votre colis et vous serez notifié.</li><br>
            <li>Une fois votre drone réparé, vous recevrez une notification.</li><br>
            <li>Réglez le montant de la réparation ou remplacez les pièces défectueuses.</li><br>
            <li>Une fois cela fait, nous vous enverrons le drone réparé par colis.</li><br>
          </ol>
        </section>
        <section id="notes">
          <h5 class="fw-bold fs-4 border-bottom pb-1">Notes importantes :</h5>
          <p class="ps-3 pt-1" style="font-weight: bold">Pour éviter de perdre des accessoires dans notre atelier, veuillez noter les points suivants :</p>
          <ol class="py-3">
            <ul>
              <li>Sans batterie.</li>
              <li>Sans télécommande.</li>
              <li>Sans accessoires.</li>
            </ul>
          </ol>
          <span><span class="fw-bold">* 90%</span> des drones réparés sont envoyés aux clients le jour suivant !</span>
        </section>
        <h5 class="border-bottom ps-3 pt-1 fw-bold">Avis de nos clients :</h5>
        <section id="reviews">{% for note in notes %}
          <div class="note-card mb-2 border rounded-20-px  reviews shadow" id="note-{{ note.id }}">
            <div class="text-center border-bottom d-flex flex-column justify-content-center align-content-center ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>{{ note.user }}</span>
              </div>
              {% if note.repair and note.repair.name %}
              <span class="text-secondary" style="font-size: 14px !important;">
                {{ note.repair.name }}
              </span>
              {% endif %}
              <span class="text-secondary fs-12-px">
                Il y a {{ note.created_at|timesince }}
              </span>
            </div>
            <div class="note-card-body">
              {{ note.note|linebreaks }}
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="{{ note.stars }}" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          {% endfor %}
          <!-- FAKE REVIEWS START -->
          <div class="note-card border rounded-20-px shadow" id="note-999999">
            <div class="text-center border-bottom d-flex flex-column justify-content-center align-content-center ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>Willy Semond</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 3 semaines</span>
            </div>
            <div class="note-card-body">
              Suite à un problème avec mon Fimi x8se<br>J'ai pris contact avec ce professionnel qui a fait le nécessaire dans la journée pour le remettre en fonctionnement.<br>Très satisfait, je vous le recommande.
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999998">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>Mounir Essaadaoui</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 3 semaines</span>
            </div>
            <div class="note-card-body">
              Très réactif et très gentil. <br>Le drone a été réparé très rapidement
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card  border rounded-20-px shadow" id="note-999997">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>Assen Hamitouche</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 2 mois</span>
            </div>
            <div class="note-card-body">
              Sam est un technicien de réparation de drones extrêmement compétent.<br>Sa réactivité, sa gentillesse, son honnêteté font de lui une personne incontournable dans le monde du dépannage et de la vente du drones...</div>
              <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999996">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>Le procrastineur</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 2 mois</span>
            </div>
            <div class="note-card-body">
              Reparateur tres competent et efficace.<br>Il a reparer la nacelle de mon drone dji 2 tres rapidement et les prix sont corrects de plus il est tres a l ecoute et digne de confiance<br>Je recommande vivement!
            </div>
              <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999995">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>ANIS VISION</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 2 mois</span>
            </div>
            <div class="note-card-body">
              Réparation et révision complète d'un DJI Mavic 2 👍 Disponibles, réactifs, transparents et compétents.<br> Une staff adorable et compréhensif de surcroit. Je recommande sans hésitation. Encore merci. …
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999994">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>jean-jaurès GBAGUIDI</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 3 mois</span>
            </div>
            <div class="note-card-body">
              Meilleur réparateur de drone, sympa et pas chère.
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999993">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>Jean-Denis Docquier</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 4 semaines</span>
            </div>
            <div class="note-card-body">
              Excellent service, extrêmement rapide et réactif.<br> Réparation bon marché, vente de pièces de rechange,...
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <div class="note-card border rounded-20-px shadow" id="note-999992">
            <div class="text-center border-bottom ">
              <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                <i class="fa-solid fa-user fs-5"></i>
                <span>gullaume reynaud</span>
              </div>
              <span class="text-secondary fs-12-px">Il y a 4 semaines</span>
            </div>
            <div class="note-card-body">
              reparation de mon Mavic pro rapide et a un cout raisonnable.<br>merci
            </div>
            <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="5" class="">
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div>
          <!-- FAKE REVIEWS END -->
        </section>
        {% if notes.has_next %}
        <div class="d-flex justify-content-end">
          <a href="{% url 'all_notes' 3 %}" class="normal-link w-fit my-3 d-flex justify-content-center align-items-center gap-2 px-2 py-1 rounded bg-dark text-white"><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i></a>
        </div>
        {% endif %}
      </div>
      <div class="w-100 mt-4 d-flex flex-column gap-3  justify-content-center align-content-center">
        <div class="d-flex gap-3 justify-content-center align-content-center align-items-center">
          <input type="checkbox" name="conditions" id="conditions">
          <label for="conditions">j'ai pris connaissance de cette page</label>
        </div>
        <div class="d-flex justify-content-center align-content-center">
          <a href="{% url 'repair_new' %}" disabled="" id="okForRepair" class="normal-link px-4 py-2 my-3 border shadow rounded bg-success text-white disabled-link">
            <i class="fa-solid fa-check"></i>Faire ma demande
          </a>
        </div>
      </div>
    </div>
  </div>
  <script src="{% static 'assets/js/script.js' %}"></script>
  <script>
      drawStars();
      handleRepairConditions();
  </script>
  </div>



{% endblock main%}
